Bug 124599 - FC2 up2date fails un-gracefully when using a "dir" option in rhn/sources
Summary: FC2 up2date fails un-gracefully when using a "dir" option in rhn/sources
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-27 20:22 UTC by James Laska
Modified: 2013-09-02 05:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 03:11:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Laska 2004-05-27 20:22:42 UTC
Obviously the dir specified in the rhn/source file doesn't exist.  BUt
I should think up2date should fail more gracefully.

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1271, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 799, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1147, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 62, in run
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 97, in
__findPackag esToUpdate
    plist.addGlobs(self.listOfGlobs)
  File "/usr/share/rhn/up2date_client/packageList.py", line 157, in
addGlobs
    availList = rhnPackageInfo.getAvailablePackageList()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 219, in
getAvaila blePackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 130, in
available PackageList
    svrChannels = rhnChannel.getChannels()
  File "/usr/share/rhn/up2date_client/rhnChannel.py", line 241, in
getChannels
    timestamp = os.stat(source['path'])[8]
OSError: [Errno 2] No such file or directory: '/opt/rawhide'

Comment 1 Adrian Likins 2004-05-27 22:17:02 UTC
fix should be in 4.3.20 or higher

Comment 2 Matthew Miller 2006-06-30 03:11:35 UTC
An update was never released for FC2, but FC3 contains 0-4.3.47-5, which should
be fixed given comment #1.


Note You need to log in before you can comment on or make changes to this bug.